Bug 72071 - C++ error message in system headers
Summary: C++ error message in system headers
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: glibc   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-08-20 23:21 UTC by H. Peter Anvin
Modified: 2016-11-24 14:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 04:03:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description H. Peter Anvin 2002-08-20 23:21:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020703

Description of problem:
/usr/include/c++/3.2/limits:291:5: missing binary operator
/usr/include/c++/3.2/limits:499:5: missing binary operator
In file included from /usr/include/c++/3.2/bits/locale_facets.tcc:43,
                 from /usr/include/c++/3.2/locale:46,
                 from /usr/include/c++/3.2/bits/ostream.tcc:37,
                 from /usr/include/c++/3.2/ostream:275,
                 from /usr/include/c++/3.2/iostream:45,
                 from /usr/include/c++/3.2/backward/iostream.h:32,
                 from /usr/include/c++/3.2/backward/iterator.h:33,
                 from /usr/include/c++/3.2/backward/algobase.h:60,
                 from /usr/include/c++/3.2/backward/vector.h:60,


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile any C++ program that #include <limits>
2.
3.
	

Actual Results:  The error message written up

Expected Results:  No error

Additional info:

Comment 1 H. Peter Anvin 2002-08-21 22:28:53 UTC
It seems that some moron did #define true ((bool)1) etc in one of the
user-specified headers.



Note You need to log in before you can comment on or make changes to this bug.